EDIT - task #5085

Aggregate Distributions
07/14/2015 10:48 AM - Ginther Korb

Status: In Progress Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 0%
Category: data Estimated time: 0:00 hour
Target version: Fauna Europaea Portal Release

Severity: normal

Description

possibly this can be acomplished by making use ot the transmission engine

request:
http://cdm.biodiv.naturkundemuseum-berlin.de/cdm/cdmfauneur2/description/accumulateDistributions?mode=byAreasAndRanks&tar
getArealevel=25b563b6-6a6¢c-401b-b090-c9498886¢50b&priority=7

NOTE: This example uses TDWGS as target area level, this might be not correct for FaunaEuropaea

this ticket is duplicated by #4469

History

#1 - 07/14/2015 10:49 AM - Giinther Korb

- Status changed from New to Resolved

we started the engine with the above request

review the result

#2 - 07/14/2015 11:01 AM - Andreas Mdiller

- Target version set to FaunaEuropaea Migration

#3 - 07/14/2015 03:09 PM - Andreas Kohlbecker

- Keywords changed from faunaeuropaea to FaunaEuropaea

#4 - 07/16/2015 12:23 PM - Giinther Korb

The transmission engine is aborted with following exception

2015-07-14 10:38:29,227 INFO [eu.etaxonomy.cdm.common.monitor.DefaultProgressMonitor] - 1.0696672023437845% do
ne (Completed Task: Accumulating distributions to super areas)
Exception in thread "Thread-57" org.hibernate.search.bridge.BridgeException: Exception while calling bridge#se
t

class: eu.etaxonomy.cdm.model.description.Distribution

path: area.area.

at org.hibernate.search.bridge.util.impl.ContextualExceptionBridgeHelper.buildBridgeException (Contextu
alExceptionBridgeHelper. java:97)

at org.hibernate.search.bridge.util.impl.ContextualExceptionBridgeHelper$OneWayConversionContextImpl.s
et (ContextualExceptionBridgeHelper. java:126)

at org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.buildDocumentFields (DocumentBuilderInd
exedEntity.java:510)

at org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.buildDocumentFields (DocumentBuilderInd
exedEntity.java:617)

at org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.getDocument (DocumentBuilderIndexedEnti
ty.java:488)

at org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.createAddWork (DocumentBuilderIndexedEn
tity.java:412)

at org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.addWorkToQueue (DocumentBuilderIndexedE
ntity.java:373)

at org.hibernate.search.engine.impl.WorkPlan$PerEntityWork.enqueueLuceneWork (WorkPlan.java:507)

at org.hibernate.search.engine.impl.WorkPlan$PerClassWork.enqueueLuceneWork (WorkPlan. java:278)

at org.hibernate.search.engine.impl.WorkPlan.getPlannedLuceneWork (WorkPlan. java:164)
at org.hibernate.search.backend.impl.WorkQueue.prepareWorkPlan (WorkQueue. java:137)

at org.hibernate.search.backend.impl.BatchedQueueingProcessor.prepareWorks (BatchedQueueingProcessor. ja
va:71)

at org.hibernate.search.backend.impl.PostTransactionWorkQueueSynchronization.flushWorks (PostTransactio
nWorkQueueSynchronization. java:124)

at org.hibernate.search.backend.impl.TransactionalWorker.flushWorks (TransactionalWorker.java:179)

at org.hibernate.search.impl.FullTextSessionImpl.flushToIndexes (FullTextSessionImpl. java:136)

at eu.etaxonomy.cdm.api.service.description.TransmissionEngineDistribution.flushAndClear (TransmissionE
ngineDistribution. java:608)

at eu.etaxonomy.cdm.api.service.description.TransmissionEngineDistribution.accumulateByArea (Transmissi
onEngineDistribution. java:446)

at eu.etaxonomy.cdm.api.service.description.TransmissionEngineDistribution.accumulate (TransmissionEngi
neDistribution. java:322)

at eu.etaxonomy.cdm.remote.controller.DescriptionListController$l.run(DescriptionListController.java:l
58)
Caused by: org.hibernate.LazyInitializationException: could not initialize proxy - no Session

at org.hibernate.proxy.AbstractLazyInitializer.initialize (AbstractLazyInitializer.java:164)

at org.hibernate.proxy.AbstractLazyInitializer.getImplementation (AbstractLazyInitializer.java:285)

at eu.etaxonomy.cdm.hibernate.HibernateProxyHelper.deproxy (HibernateProxyHelper. java:34)

at eu.etaxonomy.cdm.model.common.CdmBase.deproxy (CdmBase. java:289)

at eu.etaxonomy.cdm.model.common.DefinedTermBase.getPartOf (DefinedTermBase. java:249)

at eu.etaxonomy.cdm.model.location.NamedArea.getPartOf (NamedArea.java:282)

at eu.etaxonomy.cdm.model.location.NamedArea.getPartOf (NamedArea. java:l)

at eu.etaxonomy.cdm.hibernate.search.DefinedTermBaseClassBridge.set (DefinedTermBaseClassBridge. java:81

at org.hibernate.search.bridge.util.impl.ContextualExceptionBridgeHelper$OneWayConversionContextImpl.s
et (ContextualExceptionBridgeHelper. java:123)
17 more

#5 - 07/16/2015 01:01 PM - Andreas Miiller
- Status changed from Resolved to In Progress
- Assignee changed from Giinther Korb to Andreas Mtiller

- Priority changed from New to Highest

#6 - 08/20/2015 01:45 PM - Andreas Miuller

- Target version changed from FaunaEuropaea Migration to Fauna Europaea Portal Release

#7 - 11/28/2015 12:10 AM - Andreas Miiller
- Priority changed from Highest to Priority14

#8 - 01/20/2021 06:49 PM - Andreas Miiller
- Description updated

- Private changed from Yes to No

This is a duplicate for some other tickets: #5176, #8679, #8677 and maybe someother.
Should be tested on FauEu Data but as FauEu is currently not active this can not be discussed with according admins.

The functionality should work now, however, the question is if we should run the it on the data and which configuration (highest rank, source handling,
etc. - maybe same as for E+M?)
